### Method

# Gtk TextBufferapply_tag_by_name

#### Declaration [src]

    void
    gtk_text_buffer_apply_tag_by_name (
      GtkTextBuffer* buffer,
      const char* name,
      const GtkTextIter* start,
      const GtkTextIter* end
    )

#### Description [src]

Emits the “apply-tag” signal on `buffer`.

Calls `gtk_text_tag_table_lookup()` on the buffer’s tag table to get a `GtkTextTag`, then calls `gtk_text_buffer_apply_tag()`.

#### Parameters

`name`

  Type: `const char*`

  Name of a named `GtkTextTag`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`start`

  Type: `GtkTextIter`

  One bound of range to be tagged.

  The data is owned by the caller of the method.

`end`

  Type: `GtkTextIter`

  Other bound of range to be tagged.

  The data is owned by the caller of the method.